# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo.impl
Class GeoRssPoint

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.geo.impl.PointConstruct
                  com.google.gdata.data.geo.impl.GeoRssPoint

All Implemented Interfaces:
  Extension, Point

    public final class GeoRssPoint

extends PointConstruct

Extension for a Geo RSS georss:point element. It contains the getter/setter methods for specifying the longitude and latitude of a geo-coordinate. Please see the Geo RSS Simple document at simple georss for more information.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GeoRssPoint()` Constructs an empty georss:point element.
`GeoRssPoint(java.lang.Double lat, java.lang.Double lon)` Constructs a georss:point element with the given latitude and longitude.
`GeoRssPoint(Point copyFrom)` Constructs a georss:point element by copying it from the given point.

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description and is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns the suggested extension description with configurable repeatability.

Methods inherited from class com.google.gdata.data.geo.impl.PointConstruct
`getLatitude, getLongitude, setGeoLocation, setValue, toString, validate`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### GeoRssPoint

    public GeoRssPoint()

  Constructs an empty georss:point element.

### GeoRssPoint

    public GeoRssPoint(java.lang.Double lat,
                       java.lang.Double lon)

  Constructs a georss:point element with the given latitude and longitude.

### GeoRssPoint

    public GeoRssPoint(Point copyFrom)

  Constructs a georss:point element by copying it from the given point. If the given point is null an empty point will be created.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns the suggested extension description with configurable repeatability.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description and is repeatable.